/* gcd.h is the implementation file  for the gcd library for 
   computing the greatest common divisor.

   By:  L. Nyhoff
------------------------------------------------------------------*/

#include <cstdlib>     // abs()
using namespace std;
#include "gcd.h"

int greatestCommonDivisor(int a, int b)
{
  a = abs(a);
  b = abs(b);

  if (b == 0)
    return a;
  
  // else
  int remainder;
  do
  {
    remainder = a % b;
    a = b;
    b = remainder;
  }
  while (remainder > 0);

  return a;
}
